/**
  *  \file client/tiles/shipequipment.h
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPEQUIPMENT_H
#define PCC_V2_CLIENT_TILES_SHIPEQUIPMENT_H

#include "client/wtile.h"
#include "ui/table.h"
#include "cpluslib/holder.h"

/// Ship equipment tile (crew/arms/damage).
class WShipEquipmentTile : public WObjectTypeObserverTile {
    ObjectHolder h;
    UIBaseWidget* button_r;
    UIBaseWidget* button_g;
    UIBaseWidget* button_s;

    void drawShipEquipmentTile(UIAbstractTableWriter& tw);
 public:
    WShipEquipmentTile(GObjectType& type);
    ~WShipEquipmentTile();
    void drawData(GfxCanvas& can);
};

#endif
